<?php
  

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }



    // #################################################
    // This is your option name where all the Redux data is stored.
    // #################################################

    $opt_name = "nimbus_venture";



    // #################################################
    // Reg js spicifiv to the customizer
    // #################################################

    function nimbus_venture_customizer_scripts() {

        wp_register_script( 'customizer_scripts', get_template_directory_uri() . '/assets/js/customizer.js', array("jquery"), '', true  );
        wp_enqueue_script( 'customizer_scripts' );

    }
    add_action( 'customize_controls_enqueue_scripts', 'nimbus_venture_customizer_scripts' );



    // #################################################
    // Get Option Helper
    // #################################################

    
    function nimbus_get_option($optionID, $default_data = false) {
        global $nimbus_venture;

        $options = $nimbus_venture;
        if (isset($options[$optionID])) {
            return $options[$optionID];
        } else {
            return NULL;
        }
    }
    
                    


    // #################################################
    // SET ARGUMENTS
    // #################################################

    $theme = wp_get_theme(); 

    $args = array(
        'opt_name' => 'nimbus_venture_theme',
        'page_title' => 'Venture Theme Options',
        'update_notice' => TRUE,
        'intro_text' => '',
        'footer_text' => '',
        'admin_bar' => TRUE,
        'menu_type' => 'menu',
        'menu_title' => 'Venture Theme Options',
        'allow_sub_menu' => TRUE,
        'page_parent_post_type' => 'your_post_type',
        'customizer' => TRUE,
        'default_mark' => '*',
        'dev_mode' => FALSE,
        'hints' => array(
            'icon_position' => 'right',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => FALSE,
        'show_import_export' => TRUE,
        'database' => 'theme_mods',
        'transient_time' => '3600',
        'network_sites' => TRUE,
        'customizer_only' => TRUE,
        'use_cdn' => FALSE,
    );

    Redux::setArgs( $opt_name, $args );



    // #################################################
    // Sections
    // #################################################




    Redux::setSection( $opt_name, array(
        'title'            => __( 'Header Social Media', 'nimbus_venture' ),
        'id'               => 'social',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'social-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Social Icons Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'nimbus_facebook_url',
                'type'     => 'text',
                'title'    => __( 'Facebook URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Facebook page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_linkedin_url',
                'type'     => 'text',
                'title'    => __( 'LinkedIn URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your LinkedIn page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_youtube_url',
                'type'     => 'text',
                'title'    => __( 'YouTube URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your YouTube page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_google_plus_url',
                'type'     => 'text',
                'title'    => __( 'Google+ URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Google+ page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_vimeo_url',
                'type'     => 'text',
                'title'    => __( 'Vimeo URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Vimeo page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_flickr_url',
                'type'     => 'text',
                'title'    => __( 'Flickr URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Flickr page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_wpcom_url',
                'type'     => 'text',
                'title'    => __( 'WordPress.com URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your WordPress.com page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_pinterest_url',
                'type'     => 'text',
                'title'    => __( 'Pinterest URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Pinterest page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_instagram_url',
                'type'     => 'text',
                'title'    => __( 'Instagram URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Instagram page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_tumblr_url',
                'type'     => 'text',
                'title'    => __( 'Tumblr URL', 'nimbus_venture' ),
                'subtitle' => __( 'Your Tumblr page URL.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_mail_url',
                'type'     => 'text',
                'title'    => __( 'Email Address', 'nimbus_venture' ),
                'subtitle' => __( 'Your email address.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'nimbus_hide_rss_icon',
                'type'     => 'checkbox',
                'title'    => __( 'Hide RSS Icon', 'nimbus_venture' ),
                'subtitle' => __( 'Choose to show or hide the rss icon in the header of your website.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '0'// 1 = on | 0 = off
            ),
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Row Order', 'nimbus_venture' ),
        'id'               => 'fp-row-order',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '450px',
        'fields'     => array(
           array(
                'id'       => 'row-order-info',
                'type'     => 'raw',
                'title'    => __( 'Frontpage Row Stacking Order', 'nimbus_venture' ),
                'subtitle' => __( 'Upgrade to the Pro Theme to drag and drop the frontpage sections into the order you would like them to display. ', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<a href="http://www.nimbusthemes.com/wordpress-themes/venture/" target="_blank" class="button button-primary">Upgrade</a>',
            
            ),
            array(
                'id'       => 'space1',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
        ) );


    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Banner Section', 'nimbus_venture' ),
        'id'               => 'fp-banner',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px'
        ) );


    Redux::setSection( $opt_name, array(
        'title'            => __( 'Banner/Slideshow Select', 'nimbus_venture' ),
        'id'               => 'banner-select',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'fp-banner-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Banner Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Banner',
                    '2' => 'Demo',
                    '3' => 'Slideshow'
                ),
                'default'  => '2'
            ),
        )
    ) );


Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Banner Options', 'nimbus_venture' ),
        'id'               => 'banner-options',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'fp-banner-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'home',
            ),
            array(
                'id'       => 'fp-banner-background-note',
                'type'     => 'raw',
                'title'    => __( 'Banner Background Image', 'nimbus_venture' ),
                'subtitle' => __( 'You can populate the banner background as well as any transparent containers throughout your website via the WordPress Core - Background Image setting. Look for this setting in the left sidebar or on the customizer.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-banner-title',
                'type'     => 'text',
                'title'    => __( 'Banner - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the banner. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-sub-title',
                'type'     => 'text',
                'title'    => __( 'Banner - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the banner. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-button-text',
                'type'     => 'text',
                'title'    => __( 'Banner - Button Text', 'nimbus_venture' ),
                'subtitle' => __( 'This is the button in the banner. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-button-url',
                'type'     => 'text',
                'title'    => __( 'Banner - Button Destination URL', 'nimbus_venture' ),
                'subtitle' => __( 'This is the button link destination in the banner.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'space2',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    ) 
);



Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Slideshow Options', 'nimbus_venture' ),
        'id'               => 'slideshow-options',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'slideshow-info',
                'type'     => 'raw',
                'title'    => __( 'Upgrade to Pro', 'nimbus_venture' ),
                'subtitle' => __( 'With the Pro version of this theme, you will have access to powerful text slideshow options.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<a href="http://www.nimbusthemes.com/wordpress-themes/venture/" target="_blank" class="button button-primary">Upgrade</a>',
            
            ),
            array(
                'id'       => 'space3',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    ) 
);










Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Featured Section', 'nimbus_venture' ),
        'id'               => 'fp-featured',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-featured-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Featured Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-featured-title',
                'type'     => 'text',
                'title'    => __( 'Featured - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the featured section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-featured-sub-title',
                'type'     => 'text',
                'title'    => __( 'Featured - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the featured section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'featured-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Featured Content', 'nimbus_venture' ),
                'subtitle' => __( 'To populate the featured content section, you will need to add featured content widgets to the Frontpage Featured widget area. Go to the Widgets section under Apperance in the left sidebar.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-featured-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'featured',
            ),
            array(
                'id'       => 'space4',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            )
        )
    )
);





Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Action Row #1', 'nimbus_venture' ),
        'id'               => 'fp-action1',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-action1-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Action Row Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note2',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-action1-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the Action Row #1 section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-sub-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the Action Row #1 section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-button-text',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Button Text', 'nimbus_venture' ),
                'subtitle' => __( 'This is the text in the button. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-button-url',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Button URL', 'nimbus_venture' ),
                'subtitle' => __( 'This is link destination for the button. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'action1',
            ),
            array(
                'id'       => 'space5',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    )
);


Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage About Section', 'nimbus_venture' ),
        'id'               => 'fp-about',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-about-toggle',
                'type'     => 'button_set',
                'title'    => __( 'About Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note3',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-about-title',
                'type'     => 'text',
                'title'    => __( 'About - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the about section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-about-sub-title',
                'type'     => 'text',
                'title'    => __( 'About - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the about section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-about-description',
                'type'     => 'text',
                'title'    => __( 'About - Description', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smallest text in the about section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'about-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate About Content', 'nimbus_venture' ),
                'subtitle' => __( 'To populate the About content section, you will need to add About content widgets to the Frontpage About widget areas. Go to the Widgets section under Apperance in the left sidebar.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-about-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'about',
            ),
            array(
                'id'       => 'space6',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    )
);



Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Action Row #2', 'nimbus_venture' ),
        'id'               => 'fp-action2',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-action2-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Action Row Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note4',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-action2-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the Action Row #2 section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-button-text',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Button Text', 'nimbus_venture' ),
                'subtitle' => __( 'This is the text in the button. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-button-url',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Button URL', 'nimbus_venture' ),
                'subtitle' => __( 'This is link destination for the button. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'action2',
            ),
            array(
                'id'       => 'space7',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    )
);



Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Team Section', 'nimbus_venture' ),
        'id'               => 'fp-team',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-team-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Team Section Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note5',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-team-title',
                'type'     => 'text',
                'title'    => __( 'Team - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the featured section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-team-sub-title',
                'type'     => 'text',
                'title'    => __( 'Team - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the featured section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'team-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Team Content', 'nimbus_venture' ),
                'subtitle' => __( 'To populate the Team section, you will need to add Team member widgets to the Team Member widget areas.  Go to the Widgets section under Apperance in the left sidebar.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-team-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'team',
            ),
            array(
                'id'       => 'space8',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    )
);




    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Social Media Section', 'nimbus_venture' ),
        'id'               => 'fp-social',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-social-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Social Row Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note6',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-social-title',
                'type'     => 'text',
                'title'    => __( 'Social - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the social section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-social-sub-title',
                'type'     => 'text',
                'title'    => __( 'Social - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the social section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'social-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Social Meida Section Content', 'nimbus_venture' ),
                'subtitle' => __( 'To populate the Social Media section, you will need to add Social Meida widgets to the Social Media widget areas.  Go to the Widgets section under Apperance in the left sidebar.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-social-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'social',
            ),
            array(
                'id'       => 'space9',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    ) );

 

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Testimonial Section', 'nimbus_venture' ),
        'id'               => 'fp-test',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-test-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Testimonial Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note7',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-test-image',
                'type'     => 'media',
                'url'      => true,
                'title'    => __( 'Testimonial Section Image', 'nimbus_venture' ),
                'compiler' => 'true',
                'desc'     => __( '', 'nimbus_venture' ),
                'subtitle' => __( 'Upload an image of the individual being quoted in the testimonial. Ideally, this image should be 320x302px.', 'nimbus_venture' ),
                'default'  => array( 'url' => '' ),
            ),
            array(
                'id'       => 'fp-test-title',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the testimonial section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-description',
                'type'     => 'textarea',
                'title'    => __( 'Testimonial', 'nimbus_venture' ),
                'subtitle' => __( 'This is the main body of the testimonial section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-tag',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Name', 'nimbus_venture' ),
                'subtitle' => __( 'This is the name under the testimonial section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-tag-url',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Website Link', 'nimbus_venture' ),
                'subtitle' => __( 'This is the link applied to the name above.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'test',
            ),
        )
    ) );






    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage News Section', 'nimbus_venture' ),
        'id'               => 'fp-news',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'fp-news-toggle',
                'type'     => 'button_set',
                'title'    => __( 'News Row Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Hide'
                ),
                'default'  => '1'
            ),
            array(
                'id'       => 'background-note8',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            
            array(
                'id'       => 'news-note',
                'type'     => 'raw',
                'title'    => __( 'About News Section', 'nimbus_venture' ),
                'subtitle' => __( 'You can use this section as either a feed that displays 4 of your latest blog posts, or as your blog page itself (the # of posts specified in Settings > Reading > #2). If you want the Blog to be a separate page completely (and only show the first 4 posts on the frontpage feed), go to Settings > Reading and make sure Frontpage displays... A static page... and select the HOME page (and create a HOME page if you have not already). Then, create a BLOG page and set the BLOG page as the Posts page option in Settings > Reading. If you do not want the blog to be displayed separately, then set Frontpage displays... Your latest posts.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-news-title',
                'type'     => 'text',
                'title'    => __( 'News - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the news section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-news-sub-title',
                'type'     => 'text',
                'title'    => __( 'News - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the news section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-news-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'nimbus_venture' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => 'news',
            ),
            array(
                'id'       => 'space10',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    ) );




    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Contact Section', 'nimbus_venture' ),
        'id'               => 'fp-contact',
        'desc'             => __( '', 'nimbus_venture' ),
        'customizer_width' => '700px',
        'fields'           => array(
            array(
                'id'       => 'contact-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Contact Row Status', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'background-note9',
                'type'     => 'raw',
                'title'    => __( 'Background &amp; Parallax Settings', 'nimbus_venture' ),
                'subtitle' => __( '<a style="font-weight:bold;" target="_blank" href="http://www.nimbusthemes.com/wordpress-themes/venture/">Upgrade to the Pro Theme</a> to take advantage of unlimited background color, image, and parallax settings for this content block.', 'nimbus_venture' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-contact-title',
                'type'     => 'text',
                'title'    => __( 'Contact - Main Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the big text in the contact section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-contact-sub-title',
                'type'     => 'text',
                'title'    => __( 'Contact - Sub Title', 'nimbus_venture' ),
                'subtitle' => __( 'This is the smaller text in the contact section. Leave blank to hide.', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'contact-mailto',
                'type'     => 'text',
                'title'    => __( 'Mailto Email', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'contact-mailfrom',
                'type'     => 'text',
                'title'    => __( 'Mailfrom Email', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'default'  => '',
            ),
            array(
                'id'       => 'space11',
                'type'     => 'raw',
                'title'    => __( '', 'nimbus_venture' ),
                'subtitle' => __( '', 'nimbus_venture' ),
                'desc'     => __( '', 'nimbus_venture' ),
                'content'  => '<br><br>',
            ),
        )
    ) );






